package com.admin.major.domain;

import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 消息管理对象 m_notice
 * 
 * @author zewei
 * @date 2022-03-26
 */
public class Notice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String noticeId;

    /** 学院 */
    @Excel(name = "学院")
    private Long collegeId;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 内容 */
    private String content;

    /** 模块 */
    @Excel(name = "模块")
    private String module;

    /** $column.columnComment */
    private Long createUserId;

    /** $column.columnComment */
    private Long updateUserId;

    public void setNoticeId(String noticeId) 
    {
        this.noticeId = noticeId;
    }

    public String getNoticeId() 
    {
        return noticeId;
    }
    public void setCollegeId(Long collegeId) 
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId() 
    {
        return collegeId;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setModule(String module) 
    {
        this.module = module;
    }

    public String getModule() 
    {
        return module;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("noticeId", getNoticeId())
            .append("collegeId", getCollegeId())
            .append("year", getYear())
            .append("content", getContent())
            .append("module", getModule())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
